Subject: Re: [RFC] New driver API to speed up small packets xmits

From: Gagan Arneja <[email-masked]>
Date: Thu, 10 May 2007 14:14:05 -0700

David Miller wrote:
> From: Rick Jones <[email-masked]>
> Date: Thu, 10 May 2007 13:49:44 -0700
> 
>> I'd think one would only do this in those situations/places where a
>> natural "out of driver" queue develops in the first place wouldn't
>> one?
> 
> Indeed.

And one builds in qdisc because your device sink is slow. There's 
nothing inherently there in the kernel encouraging Qdisc->q to grow. 
It's precisely these broken devices that can take advantage of cluster 
transmits.

--
Gagan